patch-configure 3.9 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144
  1. $Id: update-patches 24 2008-08-31 14:56:13Z wbx $
  2. --- vtun-3.0.1.orig/configure 2006-12-11 08:55:06.000000000 +0100
  3. +++ vtun-3.0.1/configure 2009-05-12 00:38:14.000000000 +0200
  4. @@ -5661,140 +5661,6 @@ echo "$as_me: error: SSL headers not fou
  5. fi
  6. -if test "$SSL" = "yes"; then
  7. - echo "$as_me:$LINENO: result: " >&5
  8. -echo "${ECHO_T}" >&6
  9. - { echo "$as_me:$LINENO: checking for blowfish Library and Header files ... ..." >&5
  10. -echo "$as_me: checking for blowfish Library and Header files ... ..." >&6;}
  11. -
  12. - echo "$as_me:$LINENO: checking \"for blowfish.h\"" >&5
  13. -echo $ECHO_N "checking \"for blowfish.h\"... $ECHO_C" >&6
  14. - ac_hdr_found=no
  15. - for p in $BLOWFISH_HDR_DIR /usr/include/ssl /usr/include/openssl /usr/include /usr/local/include /usr/local/ssl/include /usr/include/crypto; do
  16. - if test -n "$p"; then
  17. - dir="$p"
  18. - else
  19. - dir="/usr/include"
  20. - fi
  21. -
  22. - ac_file_found=yes
  23. - for f in blowfish.h; do
  24. - if test ! -f $dir/$f; then
  25. - ac_file_found=no
  26. - break;
  27. - fi
  28. - done
  29. -
  30. - if test "$ac_file_found" = "yes" ; then
  31. -
  32. - ac_hdr_found=yes
  33. - break
  34. -
  35. -
  36. - else
  37. - :
  38. - fi
  39. -
  40. - done
  41. - if test "$ac_hdr_found" = "yes" ; then
  42. - if test -n "$p"; then
  43. - CPPFLAGS="$CPPFLAGS -I$p"
  44. - fi
  45. - echo "$as_me:$LINENO: result: ($dir) yes " >&5
  46. -echo "${ECHO_T}($dir) yes " >&6
  47. - echo "$as_me:$LINENO: checking for BF_set_key in -lcrypto" >&5
  48. -echo $ECHO_N "checking for BF_set_key in -lcrypto... $ECHO_C" >&6
  49. -if test "${ac_cv_lib_crypto_BF_set_key+set}" = set; then
  50. - echo $ECHO_N "(cached) $ECHO_C" >&6
  51. -else
  52. - ac_check_lib_save_LIBS=$LIBS
  53. -LIBS="-lcrypto $LIBS"
  54. -cat >conftest.$ac_ext <<_ACEOF
  55. -/* confdefs.h. */
  56. -_ACEOF
  57. -cat confdefs.h >>conftest.$ac_ext
  58. -cat >>conftest.$ac_ext <<_ACEOF
  59. -/* end confdefs.h. */
  60. -
  61. -/* Override any gcc2 internal prototype to avoid an error. */
  62. -#ifdef __cplusplus
  63. -extern "C"
  64. -#endif
  65. -/* We use char because int might match the return type of a gcc2
  66. - builtin and then its argument prototype would still apply. */
  67. -char BF_set_key ();
  68. -int
  69. -main ()
  70. -{
  71. -BF_set_key ();
  72. - ;
  73. - return 0;
  74. -}
  75. -_ACEOF
  76. -rm -f conftest.$ac_objext conftest$ac_exeext
  77. -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
  78. - (eval $ac_link) 2>conftest.er1
  79. - ac_status=$?
  80. - grep -v '^ *+' conftest.er1 >conftest.err
  81. - rm -f conftest.er1
  82. - cat conftest.err >&5
  83. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  84. - (exit $ac_status); } &&
  85. - { ac_try='test -z "$ac_c_werror_flag"
  86. - || test ! -s conftest.err'
  87. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  88. - (eval $ac_try) 2>&5
  89. - ac_status=$?
  90. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  91. - (exit $ac_status); }; } &&
  92. - { ac_try='test -s conftest$ac_exeext'
  93. - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
  94. - (eval $ac_try) 2>&5
  95. - ac_status=$?
  96. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  97. - (exit $ac_status); }; }; then
  98. - ac_cv_lib_crypto_BF_set_key=yes
  99. -else
  100. - echo "$as_me: failed program was:" >&5
  101. -sed 's/^/| /' conftest.$ac_ext >&5
  102. -
  103. -ac_cv_lib_crypto_BF_set_key=no
  104. -fi
  105. -rm -f conftest.err conftest.$ac_objext \
  106. - conftest$ac_exeext conftest.$ac_ext
  107. -LIBS=$ac_check_lib_save_LIBS
  108. -fi
  109. -echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_BF_set_key" >&5
  110. -echo "${ECHO_T}$ac_cv_lib_crypto_BF_set_key" >&6
  111. -if test $ac_cv_lib_crypto_BF_set_key = yes; then
  112. -
  113. - LIBS="$LIBS -lcrypto"
  114. - cat >>confdefs.h <<\_ACEOF
  115. -#define HAVE_SSL 1
  116. -_ACEOF
  117. -
  118. - cat >>confdefs.h <<\_ACEOF
  119. -#define HAVE_SSL_BLOWFISH 1
  120. -_ACEOF
  121. -
  122. -
  123. -else
  124. - { { echo "$as_me:$LINENO: error: SSL library not found. " >&5
  125. -echo "$as_me: error: SSL library not found. " >&2;}
  126. - { (exit 1); exit 1; }; }
  127. -
  128. -fi
  129. -
  130. - else
  131. - echo "$as_me:$LINENO: result: \"no\"" >&5
  132. -echo "${ECHO_T}\"no\"" >&6
  133. - { { echo "$as_me:$LINENO: error: SSL headers not found. " >&5
  134. -echo "$as_me: error: SSL headers not found. " >&2;}
  135. - { (exit 1); exit 1; }; }
  136. -
  137. - fi
  138. -
  139. -fi
  140. if test "$SSL" = "yes"; then
  141. echo "$as_me:$LINENO: result: " >&5